Workflows - Get
Mendapatkan alur kerja.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/workflows/{workflowName}?api-version=2016-06-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
|
Nama grup sumber daya. |
|
subscription
|
path | True |
|
Id langganan. |
|
workflow
|
path | True |
|
Nama alur kerja. |
|
api-version
|
query | True |
|
Versi API. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
Get a workflow
Sample Request
GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/workflows/test-workflow?api-version=2016-06-01
Sample Response
{
"properties": {
"provisioningState": "Succeeded",
"createdTime": "2018-04-25T01:39:21.4365247Z",
"changedTime": "2018-08-09T22:54:54.3533634Z",
"state": "Enabled",
"version": "08586677515911718341",
"accessEndpoint": "http://tempuri.org",
"integrationAccount": {
"name": "test-integration-account",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/integrationAccounts/test-integration-account",
"type": "Microsoft.Logic/integrationAccounts"
},
"definition": {
"$schema": "https://schema.management.azure.com/providers/Microsoft.Logic/schemas/2016-06-01/workflowdefinition.json#",
"contentVersion": "1.0.0.0",
"parameters": {},
"triggers": {},
"actions": {},
"outputs": {}
},
"parameters": {}
},
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/workflows/test-workflow",
"name": "test-workflow",
"type": "Microsoft.Logic/workflows",
"location": "brazilsouth",
"tags": {}
}
Definisi
| Object | |
|
Parameter |
|
|
Resource |
Referensi sumber daya. |
| Sku |
Jenis sku. |
|
Sku |
Nama sku. |
| Workflow |
Jenis alur kerja. |
|
Workflow |
Parameter alur kerja. |
|
Workflow |
|
|
Workflow |
Object
ParameterType
| Name | Type | Description |
|---|---|---|
| Array |
|
|
| Bool |
|
|
| Float |
|
|
| Int |
|
|
| NotSpecified |
|
|
| Object |
|
|
| SecureObject |
|
|
| SecureString |
|
|
| String |
|
ResourceReference
Referensi sumber daya.
| Name | Type | Description |
|---|---|---|
| id |
|
Id sumber daya. |
| name |
|
Mendapatkan nama sumber daya. |
| type |
|
Mendapatkan jenis sumber daya. |
Sku
Jenis sku.
| Name | Type | Description |
|---|---|---|
| name |
Nama. |
|
| plan |
Referensi ke rencana. |
SkuName
Nama sku.
| Name | Type | Description |
|---|---|---|
| Basic |
|
|
| Free |
|
|
| NotSpecified |
|
|
| Premium |
|
|
| Shared |
|
|
| Standard |
|
Workflow
Jenis alur kerja.
| Name | Type | Description |
|---|---|---|
| id |
|
Id sumber daya. |
| location |
|
Lokasi sumber daya. |
| name |
|
Mendapatkan nama sumber daya. |
| properties.accessEndpoint |
|
Mendapatkan titik akhir akses. |
| properties.changedTime |
|
Mendapatkan waktu yang diubah. |
| properties.createdTime |
|
Mendapatkan waktu yang dibuat. |
| properties.definition |
Definisinya. Lihat Referensi skema untuk Bahasa Definisi Alur Kerja di Azure Logic Apps. |
|
| properties.integrationAccount |
Akun integrasi. |
|
| properties.parameters |
|
Parameter. |
| properties.provisioningState |
Mendapatkan status penyediaan. |
|
| properties.sku |
Sku. |
|
| properties.state |
Negara bagian. |
|
| properties.version |
|
Mendapatkan versi. |
| tags |
|
Tag sumber daya. |
| type |
|
Mendapatkan jenis sumber daya. |
WorkflowParameter
Parameter alur kerja.
| Name | Type | Description |
|---|---|---|
| description |
|
Deskripsi. |
| metadata |
Metadata. |
|
| type |
Jenisnya. |
|
| value |
Nilainya. |
WorkflowProvisioningState
| Name | Type | Description |
|---|---|---|
| Accepted |
|
|
| Canceled |
|
|
| Completed |
|
|
| Created |
|
|
| Creating |
|
|
| Deleted |
|
|
| Deleting |
|
|
| Failed |
|
|
| Moving |
|
|
| NotSpecified |
|
|
| Ready |
|
|
| Registered |
|
|
| Registering |
|
|
| Running |
|
|
| Succeeded |
|
|
| Unregistered |
|
|
| Unregistering |
|
|
| Updating |
|
WorkflowState
| Name | Type | Description |
|---|---|---|
| Completed |
|
|
| Deleted |
|
|
| Disabled |
|
|
| Enabled |
|
|
| NotSpecified |
|
|
| Suspended |
|